Bug 11231 - незавершающийся apt-pipe
: незавершающийся apt-pipe
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/alterator-packages)
: unstable
: all Linux
: P2 major
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-03-27 01:32 by
Modified: 2007-04-17 23:48 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-03-27 01:32:22
$ ps -A | grep apt
чисто
запуская config-packages. ничего в нём не делаю - просто закрываю его
$ config-packages
socket path /tmp/alterator/browser-sock ...
connect(): Permission denied
connect(): Permission denied

$ ps -A | grep apt
 2438 ?        00:00:09 apt-pipe

Как видно apt-pipe висит и это блокирует напрочь любую работу с rpm пока 
процесс не прибить.

alterator-packages-0.5.2-alt9
------- Comment #1 From 2007-04-06 16:40:24 -------
На мантейнера
------- Comment #2 From 2007-04-16 16:28:36 -------
не повторяется.
------- Comment #3 From 2007-04-16 17:01:04 -------
У меня стабильно. Проверил еще раз. Запускаем config-packages, закрываем (жмём 
на "крестик"), apt-pipe висит в процессах :(
------- Comment #4 From 2007-04-16 17:04:07 -------
ага - вот ещё. если запускаю из-под root то всё нормально. описанной проблемы 
нет.
------- Comment #5 From 2007-04-16 17:52:16 -------
ммм, а как вообще из-под пользователя удаётся запустить ?
/usr/sbin в $PATH ?
------- Comment #6 From 2007-04-16 18:22:13 -------
нет
$ env | grep PATH
PATH=/home/artem/bin:/usr/local/bin:/usr/bin:/bin:/usr/bin:/usr/games:/usr/X11R6/bin

а что, должен быть?
$ which config-packages
/usr/bin/config-packages
------- Comment #7 From 2007-04-16 18:48:40 -------
fixed in 0.5.2-alt11
------- Comment #8 From 2007-04-17 23:48:13 -------
вот теперь работает.
спасибочки!

alterator-packages-0.5.2-alt11 - ok